// A simple program displays a windows wih my name in title
// @aunaseef
#include <QApplication>
#include <QCoreApplication>
#include <brlcad/ConstDatabase.h>
#include <string>

#include "mainwindow.h"
int main(int argc, char *argv[])
{
    QApplication App(argc, argv);
    MainWindow w;

    BRLCAD::ConstDatabase db;
    const char* text;

    w.Setup();

    // Loading BRLCAD Database
    if(argc < 2)
    {
        text = "Usage : brlcad-title path/to/database.g";
    }
    else if(argc >= 2)
    {
        w.window->setWindowTitle(argv[1]);

        if(db.Load(argv[1]))
        {

        }else{
            text = "Failed to load database";

        }
        text = db.Title();
    }
    w.dbtitle_label->setText(text);
    return App.exec();
}
